termonad-0.2.1.0: Terminal emulator configurable in Haskell

Safe Haskell | None
Language | Haskell2010

Termonad.Config

# Documentation

data FontConfig Source #

Constructors

FontConfig |

Fields

- fontFamily :: !Text
- fontSize :: !Int

Instances

Eq FontConfig Source # |
Instance details Defined in Termonad.Config Methods (==) :: FontConfig -> FontConfig -> Bool Source # (/=) :: FontConfig -> FontConfig -> Bool Source #
Show FontConfig Source # |
Instance details Defined in Termonad.Config Methods showsPrec :: Int -> FontConfig -> ShowS Source # show :: FontConfig -> String Source # showList :: [FontConfig] -> ShowS Source #

lensFontSize :: Lens' FontConfig Int Source #

lensFontFamily :: Lens' FontConfig Text Source #

defaultFontConfig :: FontConfig Source #

data ShowScrollbar Source #

Constructors

ShowScrollbarNever |
ShowScrollbarAlways |
ShowScrollbarIfNeeded |

Instances

Eq ShowScrollbar Source # |
Instance details Defined in Termonad.Config Methods (==) :: ShowScrollbar -> ShowScrollbar -> Bool Source # (/=) :: ShowScrollbar -> ShowScrollbar -> Bool Source #
Show ShowScrollbar Source # |
Instance details Defined in Termonad.Config Methods showsPrec :: Int -> ShowScrollbar -> ShowS Source # show :: ShowScrollbar -> String Source # showList :: [ShowScrollbar] -> ShowS Source #

data TMConfig Source #

Constructors

TMConfig |

Fields

- fontConfig :: !FontConfig
- showScrollbar :: !ShowScrollbar
- cursorColor :: !(Colour Double)
- scrollbackLen :: !Integer

Instances

Eq TMConfig Source # |
Instance details Defined in Termonad.Config Methods (==) :: TMConfig -> TMConfig -> Bool Source # (/=) :: TMConfig -> TMConfig -> Bool Source #
Show TMConfig Source # |
Instance details Defined in Termonad.Config Methods showsPrec :: Int -> TMConfig -> ShowS Source # show :: TMConfig -> String Source # showList :: [TMConfig] -> ShowS Source #

lensShowScrollbar :: Lens' TMConfig ShowScrollbar Source #

lensScrollbackLen :: Lens' TMConfig Integer Source #

lensFontConfig :: Lens' TMConfig FontConfig Source #

lensCursorColor :: Lens' TMConfig (Colour Double) Source #

defaultTMConfig :: TMConfig Source #